### Type parameters

- #### TState = unknown

### Hierarchy

- Updux

## Index

### Constructors

- constructor

### Accessors

- initial
- selectors

### Methods

- setAction
- setMutation

## Constructors

### constructor

- new Updux<TState>(config: Partial< UpduxConfig <TState>>): Updux <TState>

- #### Type parameters

  - #### TState = unknown

  #### Parameters

  - ##### config: Partial< UpduxConfig <TState>>

  #### Returns Updux <TState>

## Accessors

### initial

- get initial(): TState

- #### Returns TState

### selectors

- get selectors(): unknown

- #### Returns unknown

## Methods

### setAction

- setAction(actionType: string, payloadFunc?: Function): any

- Registers the action for the dux. If no payload function is provided, whatever is given as an argument to the action generator will be set as-is in the action's payload.

  #### Parameters

  - ##### actionType: string

  - ##### Optional payloadFunc: Function

  #### Returns any

### setMutation

- setMutation<TMutation>(actionType: string, mutation: TMutation): TMutation
- setMutation<TMutation>(action: ActionGenerator, mutation: TMutation): TMutation

- Sets the local mutation for the given action.

  The action can be specified via its type or its generator.

  Returns the same mutation function.

  #### Type parameters

  - #### TMutation: Mutation <unknown>

  #### Parameters

  - ##### actionType: string

  - ##### mutation: TMutation

  #### Returns TMutation

- #### Type parameters

  - #### TMutation: Mutation <unknown>

  #### Parameters

  - ##### action: ActionGenerator

  - ##### mutation: TMutation

  #### Returns TMutation

Generated using TypeDoc